package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 渠道认证状态
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum ChannelCertifyStatusEnum implements IEnum<String> {

  NOT_CERTIFIED("n", "未认证"),
  CERTIFIED("y", "已认证");

  private final String value;
  private final String desc;

  ChannelCertifyStatusEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  public String getDesc() {
    return desc;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
